ASTK(1)

NAME
astk - launch the astk GUI

SYNOPSIS

astk [ -h ] [ -debug [N] ] [ -profil profile_name ] [ -agla data ]

DESCRIPTION
This manual page documents briefly the astk command. astk is an application to help launching calculations with Code Aster.

OPTIONS

-h, --help print the options list

-g, --debug [N]
    turn on the print of debug informations. N message level, default 1

--profil profile_name
    open profile_name at startup

--serv server_name
    server where is the profile

--agla data
    use an alternative AGLA configuration

--nb
    black and white

--check
    check the configuration and exits

--norecup
    don't get informations about the servers configuration

--no-splash
    suppress the splash screen

--no-initial-warnings
    suppress warning dialogs during initialization step (usefull only when astk is called by a Qt widget to work around a Qt bug)

--stdout
    write messages to the terminal

--version
    prints ASTK version and exits

--from_salome | --stand-alone
    starting mode : from Salome or stand-alone

--rcdir suffix
    use ressources directory .astkrc_suffix

FILES
/etc/codeaster/astkrc    default configuration directory for astk

AUTHOR
The Debian Scientific Computing Team